Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159426 - Kickstart '--noformat' Option Non-functional With 'raid' Directive
Summary: Kickstart '--noformat' Option Non-functional With 'raid' Directive
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 16:19 UTC by Chris Hollowell
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-24 17:21:36 UTC


Attachments (Terms of Use)
Patch Which Appears to Correct This Issue (deleted)
2005-06-02 16:22 UTC, Chris Hollowell
no flags Details | Diff
Another Patch Which Appears to Resolve This Issue (deleted)
2005-06-10 17:28 UTC, Chris Hollowell
no flags Details | Diff

Description Chris Hollowell 2005-06-02 16:19:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
RHEL3 Kickstart documentation indicates that '--noformat'
may be used with the 'raid' directive to prevent MD devices
from being formatted.  However, issuing 
'raid /data --level 0 --device md0 --noformat' fails on
hosts with known intact level 0 software RAID arrays with
the following error message:
"Unable to locate raid device None to use for /data."
This seems to be due to the fact that the constructor
for the RaidRequestSpec class in partRequests.py is not
setting self.device.  The attached patch appears to fix
the problem.

Version-Release number of selected component (if applicable):
anaconda-9.1.x

How reproducible:
Always

Steps to Reproduce:
1. Use Kickstart to install a system with an existing software RAID array.
2. Issue a 'raid' directive in your Kickstart configuration with the
   '--noformat' option.
  

Actual Results:  Anaconda displays an "Unable to locate raid device None" message.

Expected Results:  Anaconda should have found the specified MD device.

Additional info:

Comment 1 Chris Hollowell 2005-06-02 16:22:12 UTC
Created attachment 115093 [details]
Patch Which Appears to Correct This Issue

Comment 2 Jeremy Katz 2005-06-07 19:50:59 UTC
This patch is going to have other side effects that aren't what is wanted (we
should only ever set request.device in autopart.py when going through and
verifying things).

Can you provide /tmp/anaconda.log and /tmp/syslog?

Comment 3 Chris Hollowell 2005-06-10 17:26:48 UTC
Attached is a patch which causes request.device to be set in the
kickstart.defineRaid() method if '--device' is specified.
Would setting request.device here be side-effect free?  I would
naively think so, since this is essentially what is done in 
definePartition() when '--onpart' is used.

I've tested the patch, and it also resolves this issue in our
environment.

Comment 4 Chris Hollowell 2005-06-10 17:28:18 UTC
Created attachment 115297 [details]
Another Patch Which Appears to Resolve This Issue

Comment 5 Chris Lumens 2007-03-14 20:16:52 UTC
Is this still a problem in RHEL5?


Note You need to log in before you can comment on or make changes to this bug.